zenilib: FT_CMap_ClassRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
FT_CMap_ClassRec_ Struct Reference

`#include <ftobjs.h>`

## Public Attributes

FT_CMap_CharIndexFunc | char_index
FT_CMap_CharNextFunc | char_next
FT_CMap_CharVarIsDefaultFunc | char_var_default
FT_CMap_CharVarIndexFunc | char_var_index
FT_CMap_CharVariantListFunc | charvariant_list
FT_CMap_DoneFunc | done
FT_CMap_InitFunc | init
FT_ULong | size
FT_CMap_VariantListFunc | variant_list
FT_CMap_VariantCharListFunc | variantchar_list

## Detailed Description

Definition at line 190 of file ftobjs.h.

## Member Data Documentation

FT_CMap_CharIndexFunc FT_CMap_ClassRec_::char_index

Definition at line 195 of file ftobjs.h.

Referenced by FT_Get_Char_Index().

FT_CMap_CharNextFunc FT_CMap_ClassRec_::char_next

Definition at line 196 of file ftobjs.h.

Referenced by FT_Get_Next_Char().

FT_CMap_CharVarIsDefaultFunc FT_CMap_ClassRec_::char_var_default

Definition at line 202 of file ftobjs.h.

Referenced by FT_Face_GetCharVariantIsDefault().

FT_CMap_CharVarIndexFunc FT_CMap_ClassRec_::char_var_index

Definition at line 201 of file ftobjs.h.

Referenced by FT_Face_GetCharVariantIndex().

FT_CMap_CharVariantListFunc FT_CMap_ClassRec_::charvariant_list

Definition at line 204 of file ftobjs.h.

Referenced by FT_Face_GetVariantsOfChar().

FT_CMap_DoneFunc FT_CMap_ClassRec_::done

Definition at line 194 of file ftobjs.h.

Referenced by ft_cmap_done_internal().

FT_CMap_InitFunc FT_CMap_ClassRec_::init

Definition at line 193 of file ftobjs.h.

Referenced by FT_CMap_New().

FT_ULong FT_CMap_ClassRec_::size

Definition at line 192 of file ftobjs.h.

FT_CMap_VariantListFunc FT_CMap_ClassRec_::variant_list

Definition at line 203 of file ftobjs.h.

Referenced by FT_Face_GetVariantSelectors().

FT_CMap_VariantCharListFunc FT_CMap_ClassRec_::variantchar_list

Definition at line 205 of file ftobjs.h.

Referenced by FT_Face_GetCharsOfVariant().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/internal/ftobjs.h